<h1>Profil klijenta</h1>
<div class="container">
<form [formGroup]="clientForm" *ngIf="!isSuccessful" name="form" (ngSubmit)="onSubmit()" novalidate>
    <div class="row">
        <div class="col-md-12 form-group">
            <input type="text" class="form-control" name="naziv" id="naziv" placeholder="naziv"
             formControlName="naziv" [ngClass]="nazivHasErrors()" autocomplete="off" />
             <div class="alert-danger" *ngIf="nazivErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of nazivErrors()">{{errorMessage}}</li>
                </ul>
            </div>
        </div>
        

    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 form-group">
                    <input type="text" class="form-control" name="adresa" placeholder="Ulica i broj"
                    formControlName="adresa" [ngClass]="adresaHasErrors()" autocomplete="off"/>
                    <div class="alert-danger" *ngIf="adresaErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of adresaErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>

            </div>

            <div class="row">
                <div class="col-md-4 form-group">
                    <input type="text" class="form-control" name="postanski_broj" placeholder="Poštanski broj"
                        formControlName="postanski_broj" [ngClass]="postanskiBrojHasErrors()" autocomplete="off">
                    <div class="alert-danger" *ngIf="postanskiBrojErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of postanskiBrojErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-4 form-group">
                    <input type="text" class="form-control" name="grad" placeholder="Grad" formControlName="grad" [ngClass]="gradHasErrors()" autocomplete="off"
                        required>
                    <div class="alert-danger" *ngIf="gradErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of gradErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-4 form-group">
                    <input type="text" class="form-control" name="zemlja" placeholder="Država"
                    formControlName="zemlja" [ngClass]="zemljaHasErrors()" autocomplete="off">
                    <div class="alert-danger" *ngIf="zemljaErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of zemljaErrors()">{{errorMessage}}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6 form-group">
            <label for="jmbg">Matični broj:</label>
            <input type="text" class="form-control" name="mb" id="mb" placeholder="Matični broj"
            formControlName="maticni_broj" [ngClass]="maticniBrojHasErrors()" autocomplete="off">
            <div class="alert-danger" *ngIf="maticniBrojErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of maticniBrojErrors()">{{errorMessage}}</li>
                </ul>
            </div>
        </div>
        <div class="col-md-6 form-group">
            <label for="pib">PIB:</label>
            <input type="text" class="form-control" name="pib" placeholder="PIB" formControlName="pib" [ngClass]="pibHasErrors()">
            <div class="alert-danger" *ngIf="pibErrors().length > 0" autocomplete="off">
                <ul class="list">
                    <li *ngFor="let errorMessage of pibErrors()">{{errorMessage}}</li>
                </ul>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12 form-group">
            <input type="text" class="form-control" name="ime_zastupnika" placeholder="Ime zastupnika"
            formControlName="ime_zastupnika" [ngClass]="imeZastupnikaHasErrors()" autocomplete="off">
            <div class="alert-danger" *ngIf="imeZastupnikaErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of imeZastupnikaErrors()">{{errorMessage}}</li>
                </ul>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6 form-group">
            <input type="text" class="form-control" name="telefon" placeholder="Kontakt telefon"
            formControlName="telefon" [ngClass]="telefonHasErrors()" autocomplete="off">
            <div class="alert-danger" *ngIf="telefonErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of telefonErrors()">{{errorMessage}}</li>
                </ul>
            </div>
        </div>
        <div class="col-md-6 form-group">
            <input type="text" class="form-control" name="email" placeholder="Kontakt email"
                formControlName="email" [ngClass]="emailHasErrors()" autocomplete="off">
            <div class="alert-danger" *ngIf="emailErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of emailErrors()">{{errorMessage}}</li>
                </ul>
            </div>
        </div>
    </div>




    <div class="row" id="buttons">
        <button *ngIf="!enableUpdate" id="addclient-btn" type="submit" class="btn btn-primary mr-2">Dodaj</button>
        <button *ngIf="enableUpdate" type="submit" class="btn btn-dark mr-2">Ažuriraj</button>
        <button *ngIf="enableUpdate" type="button" class="btn btn-dark mr-2">Obriši</button>
        <button type="reset" class="btn btn-dark">Poništi izmene</button>
    </div>
</form>
</div>